Commit 7fc4ca96 authored by Jan Möbius's avatar Jan Möbius

Removed check for Qt less than 5

parent 029efbb5
...@@ -58,10 +58,6 @@ ...@@ -58,10 +58,6 @@
#include <OpenMesh/Tools/Subdivider/Uniform/CatmullClarkT.hh> #include <OpenMesh/Tools/Subdivider/Uniform/CatmullClarkT.hh>
#if QT_VERSION >= 0x050000
#else
#include <QtGui>
#endif
SubdividerPlugin::SubdividerPlugin() : SubdividerPlugin::SubdividerPlugin() :
...@@ -316,8 +312,5 @@ bool SubdividerPlugin::test_trimesh_object(int _identifier, BaseObjectData*& _ob ...@@ -316,8 +312,5 @@ bool SubdividerPlugin::test_trimesh_object(int _identifier, BaseObjectData*& _ob
return true; return true;
} }
#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2( subdividerplugin , SubdividerPlugin );
#endif
...@@ -77,9 +77,7 @@ class SubdividerPlugin : public QObject, BaseInterface , ToolboxInterface, Loggi ...@@ -77,9 +77,7 @@ class SubdividerPlugin : public QObject, BaseInterface , ToolboxInterface, Loggi
Q_INTERFACES(ScriptInterface) Q_INTERFACES(ScriptInterface)
Q_INTERFACES(BackupInterface) Q_INTERFACES(BackupInterface)
#if QT_VERSION >= 0x050000
Q_PLUGIN_METADATA(IID "org.OpenFlipper.Plugins.Plugin-Subdivider") Q_PLUGIN_METADATA(IID "org.OpenFlipper.Plugins.Plugin-Subdivider")
#endif
signals: signals:
void updateView(); void updateView();
......
...@@ -49,11 +49,7 @@ ...@@ -49,11 +49,7 @@
#include "ui_subdividerControls.hh" #include "ui_subdividerControls.hh"
#if QT_VERSION >= 0x050000
#include <QtWidgets> #include <QtWidgets>
#else
#include <QtGui>
#endif
class subdividerToolbarWidget : public QWidget, public Ui::SubdividerControls class subdividerToolbarWidget : public QWidget, public Ui::SubdividerControls
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment